

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.Forecast &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.ZambrettiCore" href="pywws.ZambrettiCore.html" />
    <link rel="prev" title="pywws.Template" href="pywws.Template.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.ZambrettiCore.html" title="pywws.ZambrettiCore"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.Template.html" title="pywws.Template"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-pywws.Forecast">
<span id="pywws-forecast"></span><h1>pywws.Forecast<a class="headerlink" href="#module-pywws.Forecast" title="Permalink to this headline">¶</a></h1>
<p>Predict future weather using recent data.</p>
<p>usage: python Forecast.py [options] data_dir
options are:</p>
<blockquote>
-h | &#8211;help  display this help</blockquote>
<p>data_dir is the root directory of the weather data</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.Forecast.Zambretti" title="pywws.Forecast.Zambretti"><tt class="xref py py-obj docutils literal"><span class="pre">Zambretti</span></tt></a>(params,&nbsp;hourly_data)</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#pywws.Forecast.main" title="pywws.Forecast.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="pywws.Forecast.ZambrettiCode">
<tt class="descclassname">pywws.Forecast.</tt><tt class="descname">ZambrettiCode</tt><big>(</big><em>params</em>, <em>hourly_data</em><big>)</big><a class="reference internal" href="../_modules/pywws/Forecast.html#ZambrettiCode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Forecast.ZambrettiCode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pywws.Forecast.Zambretti">
<tt class="descclassname">pywws.Forecast.</tt><tt class="descname">Zambretti</tt><big>(</big><em>params</em>, <em>hourly_data</em><big>)</big><a class="reference internal" href="../_modules/pywws/Forecast.html#Zambretti"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Forecast.Zambretti" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pywws.Forecast.main">
<tt class="descclassname">pywws.Forecast.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/Forecast.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Forecast.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.Template.html"
                        title="previous chapter">pywws.Template</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.ZambrettiCore.html"
                        title="next chapter">pywws.ZambrettiCore</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.ZambrettiCore.html" title="pywws.ZambrettiCore"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.Template.html" title="pywws.Template"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>